@charset "utf-8";

.wrapper--yes-no input[type="radio"] + .yes-no ~ .if-yes {
    opacity: 0;
    padding: 4px 12px;
    margin: 2px 20px;
 }

 .wrapper--yes-no input[type="radio"]:checked + .yes-no:first-of-type ~ .if-yes {
     opacity: 1;
     background: #f2f2f2;
     box-shadow: var(--concave-sm);
     border-radius: 5px;
     max-width:100%;
     width: 400px;
 }



 .wrapper--yes-no .yes-no {
     border-radius: 10px;
     padding: 8px 12px;
     width: 3rem;
     justify-content: center;
     align-items: center;
     position: relative;
     border: 2px solid var(--gray-off-white);
     margin: 2px;
 } 


 .wrapper--yes-no input[type="radio"]:checked + .yes-no:last-of-type  {
         background: transparent;
         color: #333;
         transition-timing-function: ease-in;
 }

 .wrapper--yes-no input[type="radio"]:checked ~ .yes-no:last-of-type::after {
     content: "";
     border: 2px solid var(--color-6);
     pointer-events: none;
     position:absolute;
     height: 100%;
     width: 100%;
     border-radius: 10px;
     transition: all .2s;
     box-sizing: content-box;
 }

 .wrapper--yes-no input[type="radio"]:checked + .yes-no + input[type="radio"] + .yes-no:last-of-type::after{
     transform: translateX(calc(-100% - 4px));
 } 

 input[type="radio"] + .yes-no:first-of-type ~ .wrapper--info .wrapper--floating-label:last-of-type,
input[type="radio"]:checked + .yes-no:last-of-type ~ .wrapper--info .wrapper--floating-label:last-of-type,
input[type="radio"]:checked + .yes-no:first-of-type ~ .wrapper--yes-no.either-or {
    opacity: 1;
}

input[type="radio"]:checked + .yes-no ~ .wrapper--info .wrapper--floating-label:last-of-type,
input[type="radio"] + .yes-no ~ .wrapper--info .wrapper--floating-label:last-of-type,
input[type="radio"] + .yes-no ~ .wrapper--yes-no.either-or {
    opacity: 0;
}

input[type="radio"]:checked + .yes-no:first-of-type ~ .wrapper--info .wrapper--floating-label:nth-last-of-type(2)::after {
   content: "Present";
   position: absolute;
   font-weight: 600;
   right: -90px;
   color: var(--color-6);
   bottom: 13px;
}

 .wrapper--yes-no {
     align-items: center;
     height: fit-content;
     flex-direction: row !important;
 }

 .wrapper--yes-no,
 .wrapper--yes-no * {
    transition: all .2s;
 }

 .wrapper--yes-no .wrapper--info {
    flex-direction: row !important;
    width: 100%;
 }



 .wrapper--yes-no.either-or {
     width: fit-content;
 }

 .wrapper--yes-no.either-or .yes-no {
    width: calc(50% - 4px);
}

.report-a-tag > .wrapper--yes-no.either-or {
    min-width: 480px;
    align-self: center;
}


.expired-tag,
.out-of-state-tag { 
    padding: 2rem;
    border-radius: 1.5rem;
    border: 1px solid var(--color-6);
    margin: 1rem 0;

}